<?php
session_start(); 

  include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }
extract($_POST);

$continuar=0;
$prod=array();
/*
echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Desplazamiento de producto</label><br><br><br><font color=\"#000099\" size=\"+2\"><b>Reporte General</b></font><br>
	<form name=\"Agrega\" action=\"ventasproducto.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"80\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
							</tr>
   </tr>
    
    
      <tr>

	<td>

							Centro Dist:<td/>

	<td><select name = \"listacd\"><option value=\"0\">Todos</option>";

						/*	while ($datos = mysqli_fetch_array($consultada3))

							{

									echo "<option value=\"".$datos[0]."\">".$datos[1]."</option>\n";

							

							}

							echo"</select></td>

							</tr>
							<tR><tD>Tipo:</td>
							<td></td>
							<td>
							C. Venta<input type=\"radio\" name=\"centro\" value=\"0\" checked> ";
//  C. Entrega<input type=\"radio\" name=\"centro\" value=\"1\"> 
							echo"</td>
							</tr>
      </table><input type=hidden name=continua value=5 />
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Desplazamiento\" />
  </div></form>
  */
echo"<br><br>";

    //fin validar session
    
    $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci where centro_activo=1";

	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));   
	   $consultada3 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));   
	    $consultada4 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));  
	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Reporte Detallado desplazamiento</label><br><br><br>
	<form name=\"Agrega\" action=\"reporteinv.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"80\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
							</tr>
   </tr>
    
    
      <tr>

	<td>

							Centro Dist:<td/>

	<td><select name = \"id_cd\">";

							while ($datos = mysqli_fetch_array($consultada1))

							{

									echo "<option value=\"".$datos[0]."\">".$datos[0]."-".$datos[1]."</option>\n";

							

							}

							echo"</select></td>
<tr><td></td><td></td><td><input type=\"radio\" name=\"venta\" value=2>Fecha venta
							<input type=\"radio\" name=\"venta\" value=1 checked>Fecha Entrega</td></tr>
							</tr>
      </table><input type=hidden name=continua value=5 />
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Desplazamiento\" />
  </div></form>";
   
   
  echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Desplazamiento de producto</label><br><br><br><font color=\"#000099\" size=\"+2\"><b>Reporte General</b></font><br>
	<form name=\"Agrega\" action=\"ventasproducto.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"80\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
							</tr>
   </tr>
    
    
      <tr>

	<td>

							Centro Dist:<td/>

	<td><select name = \"listacd\"><option value=\"0\">Todos</option>";

							while ($datos = mysqli_fetch_array($consultada3))

							{

									echo "<option value=\"".$datos[0]."\">".$datos[0]." ".$datos[1]."</option>\n";

							

							}

							echo"</select></td>

							</tr>
							<tR><tD>Tipo:</td>
							<td></td>
							<td><input type=\"radio\" name=\"venta\" value=0>Por centro de venta<br>
							<input type=\"radio\" name=\"venta\" value=2>Por centro de entrega<br>
							<input type=\"radio\" name=\"venta\" value=1 checked>Por centro y fecha de entrega<br>
							<input type=\"radio\" name=\"venta\" value=5>Reporte Anterior Todos CD<br>
							 ";
//  C. Entrega<input type=\"radio\" name=\"centro\" value=\"1\"> 
							echo"</td>
							</tr>
      </table><input type=hidden name=continua value=5 />
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Desplazamiento\" />
  </div></form>
  
<br><br>";
  
echo"<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Pendientes Promociones</label><br><br><br>
	<form name=\"Agrega\" action=\"prod_promo.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"80\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
							</tr>
   </tr>
    
    
      <tr>

	<td>

							Centro Dist:<td/>

	<td><select name = \"id_cd\">";

							while ($datos = mysqli_fetch_array($consultada4))

							{

									echo "<option value=\"".$datos[0]."\">".$datos[0]."-".$datos[1]."</option>\n";

							

							}

							echo"</select></td>

      </table><input type=hidden name=continua value=5 />
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Desplazamiento\" />
  </div></form>";
   

    
    
    
   if($continua==5){ 
    
    

$qp3 = "select id_inv, fechai, horai, realizo, observaciones from invreg where id_cd=$id_cd order by fechai DESC";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	


	$id_inv = $rp3->id_inv;
	$fechai = $rp3->fechai;
    $horai = $rp3->horai;
$realizo = $rp3->realizo;
    $observaciones = $rp3->observaciones;
/*	
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;
	/*
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysqli_query($conexion, $qp32) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp32 = mysqli_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

*/
/*
echo "<center><br><font color=\"#000099\" size=\"+3\"><b>Reporte de inventario y desplazamiento</b></font><br><br>
&Uacute;ltimo inventario realizado el d&iacute;a: <b>$fechai</b> a las <b>$horai</b><br>
Inventario Realizado por: <b>$realizo</b><br>
Comentarios: <b>$observaciones</b><br>";
 
$qPP = "select id_prod, nombreProd, cants, cantf from inventario join productos on inventario.productos_id_prod=productos.id_prod join invreg on invreg.id_inv=inventario.id_inv where invreg.id_inv=$id_inv order by id_prod";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
			
	<table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->cantf</td>";
             $prod[$idprodt]=$objetoPP->cantf;
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
}

	$qPP = "select idtransacciones,id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where `usuarios_ci_idusuarios_ci`=$id_cd and `tipostr_idtipostr`=5 and status='ENTREGADO' and fechat between '$fechai' and curdate() group by idtransacciones, id_prod";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de entradas por pedidos de stock</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th><th><font color=\"#FFFFFF\">Pedido</font></th>";
	

	
	
	echo"</tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
	echo "<tr bgcolor=\"#E0EFD6\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->eltot</td><td align=\"center\"> $objetoPP->idtransacciones</td>";
             $prod[$idprodt]+=$objetoPP->eltot;
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}
$qPP = "select id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where centros_idcd=$id_cd and `tipostr_idtipostr`=5 and (status='ENTREGADO' or status='AUTORIZADO') and fechat between '$fechai' and '2017-10-15' group by id_prod";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de salidas por pedidos de stock</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{$idprodt=$objetoPP->id_prod;

	echo "<tr bgcolor=\"#FFD9D9\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->eltot</td>";
             
			$prod[$idprodt]-=$objetoPP->eltot;
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}







$q2 = "select sum(cant), nombreprod, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where 	transacciones.cdentrega='".$id_cd."' and usuarios_ci_idusuarios_ci=$id_cd and statusentrega='ENTREGADO' and fechae between \"$fechai\" and curdate() group by productos_idprod";
*/

if($venta==1){$fechi="fechae";}else{$fechi="fechat";}

$q2 = "select idtransacciones, rfc, referencia, usuarios_ci_idusuarios_ci, consec, idtransacciones, cantidad, puntos, fechat, fechae, cdentrega from transacciones join inversionista on (transacciones.inversionista_id_inver=inversionista.id_inver) join depositos on (transacciones.idtransacciones=depositos.transacciones_idtransacciones) where  cdentrega=$id_cd and statusentrega='ENTREGADO' and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and $fechi between '$fecha_i' and '$fecha_f' order by idtransacciones";

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion))
{
  echo"<font size=\"+1\"><b>Salidas por ventas de mi centro</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Pedido</font></th><th><font color=\"#FFFFFF\">transacc</font></th><th><font color=\"#FFFFFF\">Venta</font><th><font color=\"#FFFFFF\">Entrega</font><th><font color=\"#FFFFFF\">RFC</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th><th><font color=\"#FFFFFF\">Puntos</font></th>";
	
	$q211 = "SELECT idprod FROM stock   WHERE idcd=$id_cd order by idprod";

  $c211 = mysqli_query($conexion, $q211) or die ('Error en la consulta' . mysqli_error($conexion));

  

  for($i=0;$r1 = mysqli_fetch_row($c211);$i++)

   {

	   $a0 = $r1[0];

$cant[$a0]=0;

	   

	 
echo"<th><font color=\"#FFFFFF\">$a0</font></th>";

	}
	
	
	echo"</tr>";


while (($objetoPP=mysqli_fetch_object($c2)) )
   {

	   

	 
echo"<tr bgcolor=\"#FFD9D9\"><td>$objetoPP->usuarios_ci_idusuarios_ci - $objetoPP->consec </td><td>$objetoPP->idtransacciones</td><td>$objetoPP->fechat</td><td>$objetoPP->fechae</td><td>$objetoPP->rfc</td><td>$objetoPP->cantidad</td><td align=\"center\">$objetoPP->puntos</td>";
$q21 = "SELECT idprod, ifnull((select cant from pedido where `productos_idprod`=idprod and `transacciones_idtransacciones`= $objetoPP->idtransacciones), 0) FROM stock   WHERE idcd=$id_cd order by idprod";

  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));

  

  for($i=0;$r1 = mysqli_fetch_row($c21);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

  $cant[$a0]+=$a1;
	   

	 
echo"<td>$a1</td>";

	}

	







echo"</tr>";

	}

	echo"</table><br>";

}


$q2 = "SELECT idprod, nombreProd FROM stock join productos on stock.idprod=productos.id_prod  WHERE idcd=$id_cd  order by nombreProd";

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));

  echo"<table border=\"1\"><th>ID</th><th>Prod</th><th>Total</th>";
 
	while (($objetoPP=mysqli_fetch_object($c2)) )
{
$idprodt=$objetoPP->idprod;

echo"<tr><td>$objetoPP->idprod</td><td>$objetoPP->nombreProd</td><td>$cant[$idprodt]</td></tr>";
			

		    
}

echo"</table>";










/*
$q2 = "select sum(cant), nombreprod, id_prod,  usuarios_ci_idusuarios_ci from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where usuarios_ci_idusuarios_ci!=$id_cd and cdentrega=$id_cd and statusentrega='ENTREGADO' and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechae between \"$fechai\" and curdate() group by productos_idprod order by usuarios_ci_idusuarios_ci, id_prod";

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion))
{
  echo"<font size=\"+1\"><b>Salidas por ventas otros centros</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">CD</font></th><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";


while (($objetoPP=mysqli_fetch_object($c2)) )
   {

	   

	 
echo"<tr bgcolor=\"#FFD9D9\"><td>$objetoPP->usuarios_ci_idusuarios_ci - $objetoPP->consec</td><td>$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td><td>$objetoPP->cantidad</td><td align=\"center\">$objetoPP->puntos</td></tr>";

	}

	echo"</table><br>";

}

$qPP = "select id_prod, nombreProd, cantidad from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd' order by id_prod";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));



echo "<center><font size=\"+2\"><b>Existencias de producto al d&iacute;a: $hoy</b></font><br> Para hacer inventario f&iacute;sico favor de llenar los campos de inventario real
<form name=\"Selec_Prod_Pedido\" action=\"hacerinventario2.php\" method=\"post\">
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Cant Existencias</th><th>Cant Sistema</th><th>Cant Real</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;
	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cantidad</td>
			<td align=\"center\">$prod[$i]</td>
			<td align=\"center\"><input type=\"text\" name=cant$i size=\"4\" maxlength=\"5\"></td>

		

		  </tr> 

		 ";

   

}
$serialized = serialize($prod);
$strenc = urlencode($serialized);
	echo"</table>
	<input type=hidden name=cantsis value=\"$strenc\">
	<br>
	<input type=\"submit\" value=\"Hacer Inventario F&iacute;sico\" name=\"hacer_pedido\"></form></center><br><br>";   




}else{
	
	
	
	
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;	
	echo "<center><br><font color=\"#000099\" size=\"+3\"><b>Reporte de Inventario y Desplazamiento</b></font><br><br>
<b>No contamos con ning&uacute;n registro de inventario de este centro<br>
es necesario dar de alta inventario inicial para continuar</b><br>";
	
	$qPP = "select id_prod, nombreProd, cantidad from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd' order by id_prod";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));



echo "<center><br><br><font size=\"+2\"><b>Inicio de inventario al $hoy</b></font><br> Para hacer inventario f&iacute;sico favor de llenar los campos
<form name=\"Selec_Prod_Pedido\" action=\"hacerinventario2ini.php\" method=\"post\">
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Existencias</th><th>Cant Inicial</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;
	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cantidad</td>
			
			<td align=\"center\"><input type=\"text\" name=cant$i size=\"4\" maxlength=\"6\"></td>

		

		  </tr> 

		 ";

   
}
	
	
	echo"</table><br><br><input type=\"submit\" value=\"Hacer Inventario Inicial\" name=\"hacer_pedido\"></form></center><br><br>";
	
	
	
}*/







}



?>

